function [bnet node] = mk_our_bnet_3DDS(mapSize,hiddenVar)
% make bnet of our network

%% Case 1: Full, TOO MUCH MEMORY USAGE
 node = struct(...
     'E', 1,...
     'LS',2, ...
     'RS',3,...
     'M', 4,...
     'LV',5,...
     'RV',6,...
     'GC',7,...
     'Eye',8 );

 N = length(struct2cell(node));
 
 intra = zeros(N);
 intra(node.E, [node.LS node.RS node.GC node.Eye]) = 1;
 intra(node.M, [node.Eye]) = 1;
 intra(node.LV, [node.Eye]) = 1;
 intra(node.RV, [node.Eye]) = 1;
 
 inter = zeros(N);
 inter(node.LS, [node.LS]) = 1;
 inter(node.RS, [node.RS]) = 1;
 inter(node.E, [node.E]) = 1;
 inter(node.M, [node.M]) = 1;
 inter(node.LV, [node.LV]) = 1;
 inter(node.RV, [node.RV]) = 1;
 inter(node.GC, [node.GC]) = 1;
 inter(node.Eye, [node.Eye]) = 1;
 
 ns = [7 2 2 2 2 2 2 mapSize];
 %ns=[7 mapSize];
%% Do not change below this line
rand('state', 0); randn('state', 0);
%bnet = mk_bnet(adjacency, ns);
%bnet = mk_dbn(intra,inter,ns,'discrete', 1:N,'observed',[1 2 3 4 5]);
bnet = mk_dbn(intra,inter,ns,'discrete', 1:N);
for i=1:2*N
    bnet.CPD{i} = tabular_CPD(bnet, i);
end

%myName=fieldnames(node);
% figure; % draw_graph(intra,myName); 
% draw_dbn(intra, inter, 0, 2, myName);

