j=1;
tmp=frame{1};
    temp=[];
    %tmp=(1:size(frame{i},1));
    %tmp=tmp';
    %tmp=(1:size(event{i},1));
    %tmp = find(hand{i}(:,5)~=0 | hand{i}(:,6)~=0 | hand{i}(:,7)~=0 | hand{i}(:,8)~=0 | hand{i}(:,9)~=0 | hand{i}(:,10)~=0);   %frames where something significant happens
    while(j<=size(tmp,1))
        for k=tmp(j)-2:tmp(j)+2
            if(k>0 && k<=18000)
                temp=[temp;k];
            end
        end
        j=j+1;
    end
    tmp=temp;
frames=ones(1,size(tmp));
for i=1:size(tmp,1)
    frames(1,i)=tmp(i,1);
end
varNames = {...
    'MEP'
    'Rand'
    'Regression'
    'kNN'
  %  'REG0b'
  %  'SVM0'
  %  'SVM0b'
  %  'oDB0'
    'DBN'
    };

legendNames = {...
    '1. BU'
    '2. MEP'
    '3. Mouse'
    '4. REG(Y->X)'
    '5. REG(F->Y->X)'
    '6. SVM(Y->X)'
    '7. SVM(F->Y->X)'
    '8. DB(Y->X)'
    '9. DB(F->Y->X)'
    };

myColor = [ 1, 0, .2 ; ... % red
            0, 0, 1;  ...  % blue
            0, 1, 1; ... % cyan
            0, .5, 0;  ...  % green
            1, .5, .2; ... % orange
            .5, 0, 1; ...  % purple
            1, 0, 1;  ...  % magenta
            0, 0, 0;  ...  % black
            .5, .5, .5 ];  % grey

fprintf('Loading image');tic;
video = './data/drv_3DDS_S01.avi';
tmpvid=mmread('./data/drv_3DDS_S01.avi',frames);
origImg = cell(1,length(frames));
for i=1:length(frames)
    origImg{i} = tmpvid.frames(i).cdata;
end
toc;

myMaps = cell(1,1);
fprintf('Loading eye map');tic;
for i=1:length(varNames)
    fprintf('.');
    eval( ['myMaps{' num2str(i) '} = predictedP' varNames{i} ';'] );
    myMaps{i}(myMaps{i}<0) = 0;
end
toc;

fig1 = figure;
%tmp=tmp(1:500,:);
scores = zeros(length(tmp),length(varNames));
for frameIdx = 1:length(tmp);
    frameNo = tmp(frameIdx);
    subplot(6,1,1); 
    imshow(origImg{frameIdx}); hold on;
    x = min(max(eyepos{1}(frameNo,1),1),640);
    y = min(max(eyepos{1}(frameNo,2),1),480);
    rectangle('position',[x-20 y-20 40 40],'edgecolor','r','linewidth',3, 'curvature', [ 1 1]);
    title('Original')
    hold off
    
    i=1;
    % Small-scale x-y for calcNSSTracking
    for i=1:length(varNames)
        img = reshape(myMaps{i}(frameIdx,:),[15 20]);
        %scores(frameIdx,i) = calcNSSTracking(img,[sy sx]);
        [blah ax] = max(max(img,[],1));
        [blah ay] = max(max(img,[],2));
        img = imresize(img,[480 640],'nearest');
        subplot(6,1,i+1);
        imshow(img,[]);
        hold on;
        title(varNames{i},'color',myColor(i,:))
        rectangle('position',[x-20 y-20 40 40],'edgecolor','r','linewidth',3, 'curvature', [ 1 1]);
        rectangle('position',[(ax-1)*32-4 (ay-1)*32-4 40 40],'edgecolor','b','linewidth',3);
        hold off
    end
    
   % subplot(3,4,11); 
   % bar(scores(frameIdx,:)); hold on
   % title('current frame')
   % ylabel('NSS')
   % ylim([-1 ceil(max(max(scores)))])
   % xlim([0.5 length(varNames)+.5]);
   % myTickLabel = cell(1,length(varNames));
   % for i=1:length(varNames); myTickLabel{i} = num2str(i);end;
   % set(gca,'xticklabel',myTickLabel);
    %set(gca,'xticklabel',{'3','4','5','6','7','8','1','2'});
   % set(gca,'ygrid','on');
   % hold off
    
    %subplot(3,4,12); 
    %myPlot=zeros(50,length(varNames)); blah=1;
   % for kk=max(1,frameNo-50):frameNo%max(50,k)
   %     myPlot(blah,:)=mean(scores(1:kk,:),1); blah=blah+1;
   % end
   % plot(myPlot,'linewidth',1)
   % set(gcf,'DefaultAxesColorOrder',myColor)
    %title('mean over time')
    %ylabel('NSS')
   % xlim([1 max(min(frameNo,50),2)]);
   % set(gca,'ygrid','on');
   % hold off;
    
    saveas(fig1,['./movie/saccades/' 'frame' num2str(frameIdx-1,'%.6d') '.png'])
    
end