%%%%% Plotting section %%%%%
labelName = { ...
    'MEP'  % Mean Eye Position
    'Rand' % Pseudo-Random
    'kNN'
    'Regression'
    'DBN'
    };

styleName = { ...
    '-k'  % MEP
    '-.m' % Rand
    ':m'  % G
    ':m+' % BU
    '-.rd' %REG0
    '-.rp' %REG0b
    '-r' % REG1a
    '--r'% REG1b
    ':r+'% REG2
    ':ro'% REG3
    ':r*'% REG4
    ':r.'% REG5
    ':rx'% REG6
    ':rs'% REG7
    '-.bd' % SVM0
    '-.bp' % SVM0b
    '-b' % SVM1
    ':b+'% SVM2
    ':bo'% SVM3
    ':b*'% SVM4
    ':b.'% SVM5
    ':c' % KNN1
    ':c' % kNN1
    ':c*'% KNN4
    ':c*'% kNN4
    ':k+'% Bayes
    ':k+'% BayesV
    ':ko'% DB
    '-.kd'% oDB0
    '-.kp'% oDB0b
    '-.kd'% oDB0V
    '-.kp'% oDB0bV
    '-.kd'% oDB0s
    '-.kp'% oDB0bs
    '-.kd'% oDB0sV
    '-.kp'% oDB0bsV
    ':k*'% HMM
    };

%%% Object-detection curve
%figure; myLabel = [];
%for i=1:length(labelName)
%    eval(['if exist(''predictedObj' labelName{i} ''',''var''); plot(calcObjAccuracy(predictedObj' labelName{i} ',objTagData(:,11)),styleName{i}); hold on; myLabel = [myLabel labelName(i)]; end;'])
%end
%legend(myLabel);

%%% new NSS score
figure; myLabel = []; myScore = [];
for i=1:length(labelName)
    eval(['if exist(''gameScoresP' labelName{i} ''',''var''); myScore = [myScore mean2(gameScoresP' labelName{i} ')]; myLabel = [myLabel labelName(i)]; end;'])
    %eval(['if exist(''scoresMeanAUC' labelName{i} ''',''var''); myScore = [myScore mean2(scoresMeanAUC' labelName{i} ')]; myLabel = [myLabel labelName(i)]; end;'])
end
legend(myLabel);
bar(myScore); set(gca,'xticklabel', myLabel );

%%% ROC-curve
%figure; myLabel = []; pp = 1;
%for i=1:length(labelName)
%    eval(['if exist(''R' labelName{i} ''',''var''); zzz=horzcat(R' labelName{i} '{:});a=mean(zzz(:,1:2:2*pp),2);b=mean(zzz(:,2:2:2*pp),2);plot(a(:,1), b(:,1),styleName{i},''LineWidth'',1);hold on; myLabel = [myLabel labelName(i)]; end;'])
%end
%legend(myLabel);
